package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFB47Response {

    @Parameter(name = "Data")
    java.util.List<MWFB47Data> data();

    @Parameter(name = "DatumAktualizace")
    java.util.Date datumAktualizace();

    @Parameter(name = "DluhCelkem")
    Double dluhCelkem();

    @Parameter(name = "DluhNeSplatkove")
    Double dluhNeSplatkove();

    @Parameter(name = "DluhRevolving")
    Double dluhRevolving();

    @Parameter(name = "DluhSplatkove")
    Double dluhSplatkove();

    @Parameter(name = "Index")
    Long index();

    @Parameter(name = "Pocet")
    Long pocet();

    @Parameter(name = "ZavazekCelkem")
    Double zavazekCelkem();

}